Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class DefaultImplementationsMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.DefaultImplementationsMapper

All Implemented Interfaces:
  Mapper

    public class DefaultImplementationsMapper

extends MapperWrapper

Mapper that resolves default implementations of classes. For example, mapper.serializedClass(ArrayList.class) will return java.util.List. Calling mapper.defaultImplementationOf(List.class) will return ArrayList.

Author:
  Joe Walnes

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Constructor Summary
`DefaultImplementationsMapper(ClassMapper wrapped)` Deprecated. As of 1.2, use `DefaultImplementationsMapper(Mapper)`
`DefaultImplementationsMapper(Mapper wrapped)`

Method Summary
`void` | `addDefaultImplementation(Class defaultImplementation, Class ofType)`
`protected void` | `addDefaults()`
`Class` | `defaultImplementationOf(Class type)`
`String` | `serializedClass(Class type)` How a class name should be represented in its serialized form.

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, getLocalConverter, isImmutableValueType, lookupMapperOfType, realClass, realMember, serializedMember, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultImplementationsMapper

    public DefaultImplementationsMapper(Mapper wrapped)

### DefaultImplementationsMapper

    public DefaultImplementationsMapper(ClassMapper wrapped)

  Deprecated. As of 1.2, use `DefaultImplementationsMapper(Mapper)`

Method Detail

### addDefaults

    protected void addDefaults()

### addDefaultImplementation

    public void addDefaultImplementation(Class defaultImplementation,
                                         Class ofType)

### serializedClass

    public String serializedClass(Class type)

  Description copied from interface: `Mapper`
  How a class name should be represented in its serialized form.

  Specified by:
    `serializedClass` in interface `Mapper`
  Overrides:
    `serializedClass` in class `MapperWrapper`

### defaultImplementationOf

    public Class defaultImplementationOf(Class type)

  Specified by:
    `defaultImplementationOf` in interface `Mapper`
  Overrides:
    `defaultImplementationOf` in class `MapperWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.